@import 'src/style/includes/sass_vars_and_mixins.module.scss';


.inputWrapper {
  display: flex;
  margin-bottom: var(--space-m);
  justify-content: space-between;

  &.oneLine {
    align-items: center;
  }

  .textInput {
    display: block;
    width: 80%;
  }

  .label {
    width: 20%;
    //text-align: right;
    padding-right: var(--space-s);
    color: var(--color-text-weaker);
  }

  @include smaller-than-m {
    flex-wrap: wrap;
    .textInput,
    .label {
      width: 100%;
    }

    .label {
      text-align: left;
      margin-bottom: var(--space-xs);
    }
  }
}

.textInput {
  border: 1px solid var(--color-background-weakest);
  line-height: 1.55em;
  padding: var(--space-xs);
  font-size: var(--font-size-m);
  font-family: var(--font-family-base);
  border-radius: 3px;
}

.submitWrapper {
  text-align: right;
}

.submitSuccess {
  font-size: var(--font-family-l);
  color: var(--color-brand-base);
  font-weight: 500;
}

.submitFailure {
  font-size: var(--font-family-l);
  color: var(--color-text-weaker);
  background: var(--color-background-weakest);
  padding: var(--space-m);
  text-align: center;
}
